<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
</head>
<body>
<div th:fragment="footer">

    <div class="container">

        <footer>
            &copy; 2020 Soloviova N.
            <span sec:authorize="isAuthenticated()">
                | Logged user: <span sec:authentication="name"></span> |
                Roles: <span sec:authentication="principal.authorities"></span>
            </span>

        </footer>
    </div>

</div>
</body>
</html>